commit: 200b406609b2534985901bd7ce1e13a3135b5720
Author: David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Sat Feb 25 15:11:09 2017 +0000
Commit: David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sat Feb 25 15:23:50 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=200b4066
sci-biology/clustalw: Modernise to EAPI 6
Package-Manager: Portage-2.3.3, Repoman-2.3.1
.../clustalw/{clustalw-2.1.ebuild => clustalw-2.1-r1.ebuild} | 9 +++++++--
1 file changed, 7 insertions(+), 2 deletions(-)
diff --git a/sci-biology/clustalw/clustalw-2.1.ebuild
b/sci-biology/clustalw/clustalw-2.1-r1.ebuild
similarity index 75%
rename from sci-biology/clustalw/clustalw-2.1.ebuild
rename to sci-biology/clustalw/clustalw-2.1-r1.ebuild
index 8664ee3108..467cbf3cc8 100644
--- a/sci-biology/clustalw/clustalw-2.1.ebuild
+++ b/sci-biology/clustalw/clustalw-2.1-r1.ebuild
@@ -1,8 +1,8 @@
-# Copyright 1999-2012 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
-EAPI=4
+EAPI=6
DESCRIPTION="General purpose multiple alignment program for DNA and proteins"
HOMEPAGE="http://www.clustal.org/"
@@ -12,3 +12,8 @@ LICENSE="GPL-3 LGPL-3"
SLOT="2"
KEYWORDS="amd64 x86 ~amd64-linux ~x86-linux ~ppc-macos ~sparc-solaris"
IUSE=""
+
+src_install() {
+ default
+ rmdir "${ED%/}"/usr/share/aclocal || die
+}